function y=pickandsestimator(data,tail_size)
% PICKANDSESTIMATOR Estimates value of Pickands estimator 
%   
%  PICKANDSESTIMATOR estmates the value of the Pickands estimator for a specified data 
% set and chosen tail size.
%
% The first argument is the data set, and the second is the number of observations
% to be used to estimate the Pickands estimator.
% 
% Notes. (1) We estimate the Pickands estimator by looking at the upper tail. (2) The 
% tail size must be less than one quarter of the total sample size. (3) The tail 
% size must be a scalar.
% 
% Revised by Kevin Dowd, November 8th, 2001. 
% ***********************************************************************
data=sort(data);
n=length(data);
k=tail_size;
num=data(n-k)-data(n-2*k);
den=data(n-2*k)-data(n-4*k);
y=log(num/den)/log(2);
 