function y=pickandsplot(data,maximum_tail_size)
% PICKANDSPLOT Displays a plot of the Pickands estimator against tail sample size.
%   
% The arguments are: the data set, and the maximum tail size.
% 
% Note: The maximum tail size must be less than a quarter of the sample size.
%
% Revised Kevin Dowd, November 11th, 2001. 
% ****************************************************************
x=sort(data);
n=length(x);
%
% Derivation of Pickands estimators and tail size series
% 
for k=2:maximum_tail_size
   pe(k)=pickandsestimator(x,k);
end
%
% Plot of Pickands estimator against tail size
% 
k=1:maximum_tail_size;
size(k);
size(pe);
plot(k,pe);
xlabel('Number of observations in tail (k)','Fontweight','bold');
ylabel('Pickands estimator','rotation',90,'horizontal','center','Fontweight','bold');
title(['Pickands Estimator against Tail Size'],'FontSize',12,'Fontweight','bold');

   