function y=taillossFEbacktest(PandL,VaR, ETL,cl)
% TAILLOSSFEBACKTEST Tail-loss forecast evaluation backtest 
%
% Function derives the tail-loss forecast evaluation score for 
% a VaR risk measurement model.
%
% The first argument is a vector of portfolio P/L observations, the second 
% is a corresponding vector of VaR forecasts, the third a corresponding
% vector of ETL forecasts, and the fourth is the VaR confidence level.
%
% Revised by Kevin Dowd, November 6th, 2001.
% *****************************************************************************************
%
n=length(PandL);
p=1-cl;
excess_loss=-PandL(-PandL>VaR);         % Derives excess loss
for i=1:length(excess_loss)
   benchmark(i)=ETL(i);
   score(i)=(excess_loss(i)-benchmark(i));
end
y=(1/n)*sum(score).^2;        % First Blanco-Ihle score measure

