function y=kerneles_epanechinikovkernel(PandL_data,cl)
% Calculates ES using an Epanechinikov kernel approach
% 
% The output consists of a scalar VaR for specified confidence level.
%
% Inputs are:
% * PandL data set;
% * confidence level.
%
% Written by Kevin Dowd, November 16, 2003
% *************************************************
%
n=1000;
delta_cl=(1-cl)/n;
for i=1:n-1
    var(i)=kernelvar_epanechinikovkernel(PandL_data,cl+i*delta_cl);
end
es=mean(var);
y=es;
