function y=hillquantileestimator(data,tail_index,in_sample_prob, cl)
% HILLQUANTILEESTIMATOR Estimates value of Hill quantile estimator 
%   
%  HILLQUANTILEESTIMATOR estmates the value of the Hill quantile estimator for 
% a specified data set, tail index, in-sample probability, and confidence level.
%
% The first argument is the data set, the second is the assumed tail index, the third is
% the in-sample probability (used as basis for projection), and the fourth is the confidence
% level. the number of observations.
% 
% Note: The tail size must be a scalar.
% 
%  Revised Kevin Dowd, November 12th, 2001. 
% ********************************************************************88
data=sort(data);
n=length(data);
k=fix(in_sample_prob*n)
p=1-cl;
y=data(n-k)*(p*n/k)^-tail_index
